package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: StoreDiscountActivityEnum
 * @author: HuRui
 * @date: 2022/11/21
 **/
public enum StoreDiscountActivityTypeEnum {
    type1(1, "满减"),
    type2(2, "立减"),
    type3(3, "折扣"),
    ;

    private Integer number;

    private String name;

    StoreDiscountActivityTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static StoreDiscountActivityTypeEnum getDataByNumber(Integer number) {
        for (StoreDiscountActivityTypeEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
